POST /giftCards/channel/{channelLinkId}/profileLink/{giftCardProviderProfileLinkId}/getGiftCardBalance

Path parameters

  • channelLinkId string Required
  • giftCardProviderProfileLinkId string Required
application/json

Body

  • number string(color)
  • verificationCode string(utc-millisec)

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • balance integer
POST /giftCards/channel/{channelLinkId}/profileLink/{giftCardProviderProfileLinkId}/getGiftCardBalance
curl \
 --request POST 'https://api.staging.deliverect.com/giftCards/channel/{{channelLinkId}}/profileLink/{{giftCardProviderProfileLinkId}}/getGiftCardBalance' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"number":"ABC","verificationCode":"1234"}'
Request example
{
  "number": "ABC",
  "verificationCode": "1234"
}
Response examples (200)
{
  "amount": 6346,
  "giftCardNumber": "6000101001050148"
}